Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ord.im
Class OrdFileSource

`java.lang.Object
oracle.ord.im.OrdFileSource`

All Implemented Interfaces:
  OrdContentSource

public class OrdFileSource
extends java.lang.Object
implements OrdContentSource

An implementation class of `OrdContentSource` to support using a file as the content source for deferred loading.

Constructor Summary
`OrdFileSource(java.lang.String fileName)` Constructs an `OrdFileSource` instance.

Method Summary
`void` | `deleteFileInRelease()` Indicates the file should be deleted when `release()` is invoked.
`int` | `getContentLength()` Gets the length of the file.
`java.lang.String` | `getFileName()` Gets the file name which refers to a file containing the content to be loaded.
`java.io.InputStream` | `getInputStream()` Gets an `InputStream` object pointing to the file.
`java.lang.String` | `getMimeType()` Gets the `MIME` type of the content.
`boolean` | `isDeleteFileInRelease()` Returns whether the file will be deleted when `release()` is invoked.
`void` | `release()` Releases the resources used by the content source.
`void` | `setFileName(java.lang.String fileName)` Sets a file name which refers to a file containing the content to be loaded.
`void` | `setMimeType(java.lang.String mimeType)` Sets the `MIME` type of the content.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrdFileSource

    public OrdFileSource(java.lang.String fileName)

  Constructs an `OrdFileSource` instance.
Parameters:
  `fileName` - a file name which refers to a file containing the content to be loaded

Method Detail

### setFileName

    public void setFileName(java.lang.String fileName)

  Sets a file name which refers to a file containing the content to be loaded.
  Parameters:
    `fileName` - a file name string

### getFileName

    public java.lang.String getFileName()

  Gets the file name which refers to a file containing the content to be loaded.
  Returns:
    the file name string

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Gets an `InputStream` object pointing to the file.
  Specified by:
    `getInputStream` in interface `OrdContentSource`
  Returns:
    an `FileInputStream` object
  Throws:
    `java.io.IOException`

### getContentLength

    public int getContentLength()
                         throws java.io.IOException

  Gets the length of the file.
  Specified by:
    `getContentLength` in interface `OrdContentSource`
  Returns:
    the length of the file
  Throws:
    `java.io.IOException`

### setMimeType

    public void setMimeType(java.lang.String mimeType)

  Sets the `MIME` type of the content.
  Parameters:
    `mimeType` - the `MIME` type of the content

### getMimeType

    public java.lang.String getMimeType()

  Gets the `MIME` type of the content. If the `MIME` type was not set by a previous `setMimeType(String)` call, it returns `null`.
  Specified by:
    `getMimeType` in interface `OrdContentSource`
  Returns:
    the `MIME` type

### deleteFileInRelease

    public void deleteFileInRelease()

  Indicates the file should be deleted when `release()` is invoked.

### isDeleteFileInRelease

    public boolean isDeleteFileInRelease()

  Returns whether the file will be deleted when `release()` is invoked.

### release

    public void release()

  Description copied from interface: `OrdContentSource`
  Releases the resources used by the content source.
  Specified by:
    `release` in interface `OrdContentSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001,2005, Oracle. All Rights Reserved.